About PhotoStitch

PhotoStitch is an application program that merges images in horizontal or vertical sequences or stitches together images that have been shot in sections. You can use it to create panoramas of scenery or wrap-around 360-degree images. You can even create images of buildings that look as if they have been shot with a very wide wide-angle lens. Documents and printed materials shot in sections can be merged into single high-precision images. In addition, you can merge images that have been scanned into your computer.

The merged image can be saved in the QuickTime VR format if you obtain and install QuickTime 3 or 4. QuickTime can be downloaded from the Apple Computer, Inc., web site.

NOTE : Please select the package that includes all the files when downloading the QuickTime software. The QuickTime VR program and the program for saving QuickTime format files must be installed together to save images in the QuickTime VR format.


PhotoStitch Features

Join As Many Images As You Please

You can merge as many images as you please in horizontal or vertical sequences or in matrices (m x n).

Auto Merges

In Auto mode, PhotoStitch automatically searches for corresponding areas on adjacent images, adjusting the image size and orientation. You can also manually specify corresponding areas.

Moreover, images shot in Stitch Assist mode on a Canon digital camera can be automatically arranged in correct merge sequences.

High-Precision Merges

PhotoStitch produces seamless images, employing a variety of merging techniques to achieve high-quality results. It automatically compensates for differences in brightness and color arising from variations in exposure values. It can even merge images acquired by scanners.

Easy Procedures

Even camera and computer novices find it easy to stitch images together with PhotoStitch's user-friendly procedures.


Step 1 Basic Procedures

The first step is to open the images you wish to merge in PhotoStitch and arrange them into the correct order for merging. PhotoStitch will automatically arrange images shot in Stitch Assist mode on a Canon digital camera into the correct sequence for merging.

Procedures:

  1. Click the [Open] button to display the Open dialog.

  2. Select the images you wish to merge and click the [Open] button. To open multiple files, hold the [Shift] key while selecting files.

  3. Click the [Arrange] button and select the merge order.

  4. Drag and drop the images into the correct order for merging.

See Also:

Opening Images for Merging

Arranging Images

Rotating Images

Clearing Images

Zooming In or Out on Images

Merging Images Shot in Stitch Assist Mode


Opening Images for Merging

Any of the following methods can be used to open images in PhotoStitch for merging.

  • Click the [Open] button to display the Open dialog and select the images for merging.

  • Drag and drop the images for merging onto the PhotoStitch window.

Hint:

PhotoStitch supports the following image file formats.

BITMAP, JPEG, TIFF, PICT, Photoshop, PhotoCD, Flashpix

Although Flashpix images support multiple resolution settings, PhotoStitch usually imports the image at the largest setting.

All image files must be the same color format for merging. Only True Color or 256-step grayscale images can be merged.


Merging Images Shot in Stitch Assist Mode

PhotoStitch automatically arrange images shot in Stitch Assist mode on a Canon digital camera into the correct sequence for merging. If you have opened these images, confirm that the order is correct and click [2. Merge] to proceed.

Hint:

If you have taken images with the camera in Portrait Orientation, you should rotate the images in PhotoStitch to the correct orientation before arranging the image order.

See Also:

Arranging Images

Rotating Images

Zooming In or Out on Images


Arranging Images

Arrange images in the correct order for merging with the following procedures.

  1. Click the [Arrange] button and select a merge order setting.

  2. Drag and drop the images into the correct order for merging. Clicking the [Switch] button reverses the order of all the images.

Hint:

When the merge order is set to [Horizontal], [Vertical] or [360 Degrees], you can drag and drop an image between two others to insert it into that position.

When the merge order is set to [Matrix], dragging an image over another causes them to exchange positions. You can also drop an image into an empty image slot.


Rotating Images

You can use the following procedures to rotate images shot with the camera held on end (portrait orientation versus landscape).

  1. Click on an image to select it.

  2. Click the [Rotate] button, select [Rotate 90 Degrees Counterclockwise] or [Rotate 90 Degrees Clockwise], and click [Rotate Selected Image(s)].

Hint:

To rotate all the images, click [Rotate All] after you select the rotation direction.


Clearing Images

Images can be cleared from the PhotoStitch window with the following procedures if they were accidentally opened or you do not wish to merge them.

  1. Select the images for clearing with the mouse cursor.

  2. Click the [Clear] button and select [Clear Selected Image(s)].

Hint:

To clear all of the open images, click the [Clear] button and select [Clear All].


Zooming In or Out on Images

You can zoom in or out on a displayed image. Click the [Enlarge] button to zoom in and the [Reduce] button to zoom out.


Merging Another Set of Images

To merge another set of images after you have finished merging the first set, you must first clear all of the open images from the window. Click the [Clear] button and select [Clear All] to clear all the images.

See Also:

Clearing Images


Options

The following settings can be adjusted in the Options dialog.

Size of image in the window when not enlarged or reduced:

PhotoStitch creates thumbnails of all the open images at the size specified in this option for display in its window. You can display the images at larger or smaller sizes by pressing the [Enlarge] or [Reduce] button. The larger you set this size, the bigger the merge results appear in the window. However, large sizes consume more computer memory. The default setting is 400 x 400 pixels or less.


Step 2 Basic Procedures

The second step is to start merging the images. If you have trouble merging, you can adjust the merge results.

Procedures:

  1. Click the [Start] button to start merging. Images are merged one pair at a time. When the process is complete, you can check the results.

  2. If parts of the image have not merged well, click the [Display Seams] button to select the areas to improve. The seams are indicated by green frames.

  3. Click on the seam you wish to amend. The Amend Merge Results window will display the two images adjoining the clicked seam.

  4. Confirm that the [Specify Overlapping Areas] button is selected in the Amend Merge Results window. Drag and drop one image over another to the approximate extent of their overlap.

  5. Click the [OK] button. The two images will merge and the resulting image will display with the amended seam.

See Also:

Starting the Merge

Amending the Merge Results

Specify Overlapping Areas


Starting the Merge

Click the [Start] button to begin merging the images. Images will merge one pair at a time.


Amending the Merge Results

To amend the merge results, you must first specify the areas that did not merge well and then amend those areas.

  1. Click [Display Seams] to select the areas to amend. The image seams are indicated by a green frame.

  2. Click a seam that requires improvement. The Amend Merge Results window will display the two images adjoining the clicked seam.

  3. Choose the [Specify Overlapping Areas] or [Specify 2 or More Corresponding Areas] button and specify how the two images overlap.

  4. Click the [OK] button. The two images will merge and the resulting image will display with the amended seam.

  5. Click the [Hide Seams] button to hide the seams on the resulting image.

See Also:

Specify Overlapping Areas

Specify 2 or More Corresponding Areas


Setting the Merge Settings

Set the merge settings before starting to merge by clicking the [Merge Settings] button to open the Merge Settings window. If you are merging images that have been taken with a camera, input the shooting technique and focal length setting. If the focal length setting is included in the image data, it will automatically appear in the settings box, eliminating the need to input it.

See Also:

Setting the Shooting Technique Setting

Inputting the Focal Length Setting


Canceling the Merge

To cancel the merge after the [Start] button has been clicked, click the [Cancel] button on the merge progress bar.


Specify Overlapping Areas

There are two ways to amend the merge results: to specify overlapping areas and to specify two or more corresponding areas. Generally, you should try to specify the overlapping areas.

To amend the merge results by specifying the overlapping areas:

  1. Select [Specify Overlapping Areas] in the Amend Merge Results window and place a check mark in the [Auto Adjust Overlap] checkbox.

  2. Drag and drop one image over another to the approximate extent of their overlap.

  3. Click the [OK] button. The two images will merge and the resulting image will display with the amended seam.

Hint:

This method of amending the merge results automatically searches the optimal fit for the two images based on the specified overlap. If you wish to have PhotoStitch focus specifically on the overlap you select, remove the check mark from the [Auto Adjust Overlap] checkbox.

See Also:

Specify 2 or More Corresponding Areas


Specify 2 or More Corresponding Areas

There are two ways to amend the merge results: to specify overlapping areas and to specify two or more corresponding areas. As a rule, you should try to specify the overlapping areas first, but if that does not work well, try to specify two or more corresponding areas on the two images. This method requires more steps to complete but achieves the best results for merging.

To amend the merge results by specifying two or more corresponding areas:

  1. Select [Specify 2 or More Corresponding Areas] in the Amend Merge Results window.

  2. Find distinctive areas that appear on both images.

  3. Place the cursor over one of these areas on an image and drag and drop it on the other image in the corresponding position.

  4. Repeat Step 2 and Step 3 at least two or three times. If possible, select areas that are relatively far apart to better the chances for merging.

  5. Click the [OK] button. The two images will merge and the resulting image will display with the amended seam.

Hint:

To delete a corresponding area that you have specified, drag the frame outside the image.

Specifying two areas will merge the image at the indicated position, while specifying three or more areas will merge them at the position where the correspondence is strongest.

See Also:

Specify Overlapping Areas


Inputting the Focal Length Setting

Select the appropriate setting from the [Focal Length] list box if you are merging images shot by a camera. The focal length settings are listed as the 35mm film camera equivalents. For a description of focal length settings, please read the documentation for your camera. If your camera automatically includes the focal length setting in the image data, it will automatically appear in the settings box, eliminating the need to input it. If the focal length setting used by your camera is not included as one of the default settings in the [Focal Length] list box, additional settings can be added to the list.

To add a focal length setting to the list:

  1. Click the [Add] button. The Add Lens window will display.

  2. Input a focal length and lens name and click the [OK] button.

Hint:

If the camera shooting the image is equipped with a zoom lens but does not record the focal length setting with the image data, you are recommended to add the camera's longest and shortest focal length settings to the list and select one of these settings to obtain the best results when merging.

The focal length setting will not automatically appear in the settings box when a mixture of images with and without the focal length settings data are included or when images with different focal length settings are included.

Lens settings added to the list can be deleted. Select a setting from the list and click the [Clear] button.


Setting the Shooting Technique Setting

Select one of the following shooting technique settings.

  1. [Panning (Scenery, etc.)] This technique involves the camera remaining in one spot and being panned up or down or left to right to shoot scenery and other images.

  2. [Parallel Camera Movement (Documents, etc.) This technique involves moving the camera at a set distance from an object, such as a document, to capture it in sections.

  3. [Images Scanned in Sections] In this case, images that are too large to be captured in one scan are scanned by a scanner in sections.

Hint:

Use setting 1 or 2 if you are merging photographs captured with a film camera using technique 1 or 2 and later scanned with a scanner or film scanner.

All images must be of the same size for merging if setting 1 or 2 is selected.

Images of varying sizes can be merged if setting 3 is selected.

Click [Use as Default] to have PhotoStitch automatically merge using this setting the next time the software is used. This feature is convenient if you set it to a technique that you use often.


Step 3 Basic Procedures

The third step is to save the merged image in a file and view it. You can also adjust the merge results to suit your preferences.

Procedures:

  1. Click the [Save] button. The Save As dialog will display.

  2. Input a file name.

  3. Click the [Save] button. A message asking whether you wish to view the merge results will display.

  4. Click [Yes] to view the merge results.

Hint:

You can adjust the merge results to suit your preferences by clicking the [Adjust Image] button.

See Also:

Saving an Image

Adjusting an Image

Merging Another Set of Images


Saving an Image

After you have merged the images, use the following procedures to save.

  1. Click the [Save] button. The Save As dialog will display.

  2. Input or select the file location, format and name.

  3. Click the [Save] button.

Hint:

PhotoStitch can save files in the following formats.

BITMAP, JPEG, TIFF, Photoshop, Flashpix

The merged image can be saved in the QuickTime VR format if you obtain and install QuickTime 3 or 4. However, images cannot be saved in the QuickTime VR format under the following circumstances when:

  • [Parallel Camera Movement (Documents, etc.)] has been selected as the Shooting Technique setting in the Merge Settings window;

  • [Images Scanned in Sections] has been selected as the Shooting Technique setting in the Merge Settings window;

  • [Vertical] or [Matrix] have been selected after clicking the [Arrange] button;

  • [Wide] has been selected as the Display Format section in the Adjust Image window.

NOTE : Please select the package that includes all the files when downloading the QuickTime software. The QuickTime VR program and the program for saving QuickTime format files must be installed together to save images in the QuickTime VR format.

See Also:

Setting the Merge Settings

Adjusting an Image

QuickTime/QuickTime VR


Adjusting an Image

You can adjust the following settings to suit your preferences before saving the merge results.

Crop: uneven edges are cropped with this option selected or left untouched without it.

Saved Image Size: this option allows you to reduce the size of an image if the merge results are too large.

Display Format: this option allows you to change the format in which the image is displayed.

See Also:

Crop

Saved Image Size

Display Format


Viewing the Saved Image

A message asking if you wish to view the saved image will appear after you save a merged image. Click the [Yes] button to view the image.

Images saved in the QuickTime VR format will be displayed by the MoviePlayer or QuickTimePlayer program. Images merged in the Vertical, Horizontal and Matrix formats will be displayed by the Viewer program. Images merged in the 360 Degrees format will be displayed by the 360Viewer program.

Hint:

The merged image can be saved in the QuickTime VR format if you obtain and install QuickTime 3 or 4. QuickTime can be downloaded from the Apple Computer, Inc., web site.

NOTE : Please select the package that includes all the files when downloading the QuickTime software. The QuickTime VR program and the program for saving QuickTime format files must be installed together to save images in the QuickTime VR format

MoviePlayer and QuickTimePlayer are the programs in the QuickTime suite.

See Also:

Saving an Image


Crop

PhotoStitch automatically calculates the optimal position to crop a merged image to eliminate the uneven edges. When you proceed to Step 3 after merging the images, the crop frame will be superimposed right on the merge results window. To change the crop lines, drag the crop frame with the mouse cursor and drag it. The cropping will occur as the image is saved.

To turn off the crop function:

  1. Click the [Adjust Image] button in Step 3 to display the Adjust Image window.

  2. Click the [Crop] checkbox to remove the check mark.

  3. Click the [Close] button to close the Adjust Image window.

Hint:

To turn the crop function back on, click the [Crop] checkbox to insert a check mark.

To reset the optimal crop setting calculated by PhotoStitch, click the [Reset] button in the Adjust Image window.

See Also:

Adjusting an Image


Saved Image Size

When the merge results produce too large an image, you can reduce the size of the image. The size of the merge results appears in the status bar at the bottom of the window after the images have been merged and you proceed to Step 3.

To save the image at a reduced size:

  1. Click the [Adjust Image] button in Step 3 to open the Adjust Image window.

  2. Input a percentage that will reduce the image size in the [Reduction Ratio] box. The actual size at which the image will be saved is shown in the Image Size column.

  3. Click the [Close] button to close the [Adjust Image] window.

See Also:

Adjusting an Image


Display Format

PhotoStitch supports the following two display formats for the merge results. Display the merged image in both formats to decide which one you prefer. The choice of formats is only available when [Panning (Scenery, etc.)] is selected in the Merge Settings window.

Normal

This format is for displaying images that have a broad perspective. It is appropriate for viewing an image that has been merged from a large number of images. However, objects with straight lines, such as buildings, will appear rounded.

Wide

This format displays buildings and other objects with straight lines without distortion or bending. It is best suited to subjects with many prominent straight lines. However, the field of view that can be encompassed in this format is limited. Parts of large merged images may extend beyond the area shown by this format.

To change the display format:

  1. Click the [Adjust Image] button in Step 3 to open the Adjust Image window.

  2. Select [Normal] or [Wide] from the Display Format section.

  3. Click the [Apply] button in the Display Format section.

  4. Click the [Close] button to close the Adjust Image window.

See Also:

Setting the Merge Settings

Setting the Shooting Technique Setting


QuickTime/QuickTime VR

QuickTime is a software program and file format developed by Apple Computer, Inc. to process moving and still images.

QuickTime VR is one of the functions of the QuickTime program. Images saved in the QuickTime VR format can be played in the QuickTime MoviePlayer or QuickTimePlayer, making it appear as if you were right there in the midst of the scenery being displayed. The perspective can be changed to view the image from all 360 degrees.

The merged image can be saved in the QuickTime VR format if you obtain and install QuickTime 3 or 4. QuickTime can be downloaded from the Apple Computer, Inc., web site.

NOTE : Please select the package that includes all the files when downloading the QuickTime software. The QuickTime VR program and the program for saving QuickTime format files must be installed together to save images in the QuickTime VR format.


When Images Don't Merge Well

The following provides suggestions for the times that images do not merge well.

Check the Image Order

Click the [Arrange] button in Step 1 and confirm that the correct merge order has been selected for the images as arranged. Conversely, check the position of the images to ensure that they are in the right order. Please refer to the corresponding help topics below for more information.

Confirm that the Correct Shooting Technique Setting Has Been Selected

Click the [Merge Settings] button in Step 2 to ascertain that the correct shooting technique setting has been selected for the images. Please refer to the corresponding help topic below for more information.

Adjust the Merge Results

If the merge results produced by clicking the [Start] button were merged in the wrong place, you should adjust the merge results. Please refer to the corresponding help topic below for more information.

Check the Images for Appropriate Shooting or Scanning Techniques

If the images do not merge well even after you have amended the merge results, there is a chance that the image was recorded with an inappropriate technique. The image seams may be thrown off if there is a mixture of close and far objects in the overlapping areas or if they depict moving objects. Check to make sure that pages are not wrinkled or buckled when capturing images of books and magazines.

See Also:

Arranging Images

Setting the Shooting Technique Setting

Amending the Merge Results